at.chipkarte.client.fus.soap

## Class BKIDaten

- Object
- - at.chipkarte.client.fus.soap.BKIDaten

-     public class BKIDaten
      extends Object

  Dient der Ein- und Ausgabe der Formular spezifischen Daten für den Formulartyp BKI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKIDaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBefunddatum()` Befunddatum.
    `String` | `getEingliederung()` Datum der Eingliederung.
    `String` | `getIotnBki()` IOTN BKI.
    `String[]` | `getLokalisationFehlbildung()` Lokalisation der Fehlbildung nach IOTN.
    `String` | `getMedAngabe()` Ergänzende medizinische Angaben.
    `void` | `setBefunddatum(String befunddatum)`
    `void` | `setEingliederung(String eingliederung)`
    `void` | `setIotnBki(String iotnBki)`
    `void` | `setLokalisationFehlbildung(String[] lokalisationFehlbildung)`
    `void` | `setMedAngabe(String medAngabe)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKIDaten

          public BKIDaten()

  - ### Method Detail

    - #### getIotnBki

          public String getIotnBki()

      IOTN BKI.
      Mögliche Werte siehe `IotnBkiConstants`.
      Angabe: Muss.
      Returns:
        IotnBib.

    - #### setIotnBki

          public void setIotnBki(String iotnBki)

    - #### getLokalisationFehlbildung

          public String[] getLokalisationFehlbildung()

      Lokalisation der Fehlbildung nach IOTN. Siehe `LokalisationFehlbildungConstants`.
      Angabe: Kann.
      0 bis 52 Elemente.
      Returns:
        LokalisationFehlbildung.

    - #### setLokalisationFehlbildung

          public void setLokalisationFehlbildung(String[] lokalisationFehlbildung)

    - #### getMedAngabe

          public String getMedAngabe()

      Ergänzende medizinische Angaben.
      Angabe: Kann.
      Format: 500-stellig
      Returns:
        MedAngabe.

    - #### setMedAngabe

          public void setMedAngabe(String medAngabe)

    - #### getEingliederung

          public String getEingliederung()

      Datum der Eingliederung.
      Angabe: Kann.
      Format: TT.MM.JJJJ Wertebereich: Darf nicht vor dem 01.07.2015 liegen.
      Returns:
        Eingliederung.

    - #### setEingliederung

          public void setEingliederung(String eingliederung)

    - #### getBefunddatum

          public String getBefunddatum()

      Befunddatum.
      Angabe: Muss bei Erfassung. Kann bei der Abfrage von BKI Formularen (die vor R16b erfasst wurden) leer sein.
      Format: TT.MM.JJJJ Wertebereich: Darf nicht vor dem 01.07.2015 liegen.
      Returns:
        Befunddatum.

    - #### setBefunddatum

          public void setBefunddatum(String befunddatum)